@rem copyright (c) 2004-2011 Kazuki Iwamoto http://www.maid.org/ iwm@maid.org
@rem
@rem Permission is hereby granted, free of charge, to any person obtaining
@rem a copy of this software and associated documentation files (the
@rem "Software"), to deal in the Software without restriction, including
@rem without limitation the rights to use, copy, modify, merge, publish,
@rem distribute, sublicense, and/or sell copies of the Software, and to
@rem permit persons to whom the Software is furnished to do so, subject to
@rem the following conditions:
@rem
@rem The above copyright notice and this permission notice shall be included
@rem in all copies or substantial portions of the Software.
@rem
@rem THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
@rem EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
@rem MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
@rem IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY
@rem CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,
@rem TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE
@rem SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
if not exist cairo-1.10.2 tar zxf cairo-1.10.2.tar.gz
if not exist expat-2.0.1 tar zxf expat-2.0.1.tar.gz
if not exist fontconfig-2.8.0 tar zxf fontconfig-2.8.0.tar.gz
if not exist freetype-2.4.4 tar zxf freetype-2.4.4.tar.gz
if not exist iconvmlang-0.0.5 tar zxf iconvmlang-0.0.5.tar.gz
if not exist jpeg-8c tar zxf jpegsrc.v8c.tar.gz
if not exist libpng-1.5.1 tar zxf libpng-1.5.1.tar.gz
if not exist pixman-0.21.4 tar zxf pixman-0.21.4.tar.gz
if not exist tiff-3.9.4 tar zxf tiff-3.9.4.tar.gz
if not exist zlib-1.2.5 tar zxf zlib-1.2.5.tar.gz
if "%1"=="GIT" goto git
if "%1"=="GIt" goto git
if "%1"=="GiT" goto git
if "%1"=="Git" goto git
if "%1"=="gIT" goto git
if "%1"=="gIt" goto git
if "%1"=="giT" goto git
if "%1"=="git" goto git
if not exist atk-1.32.0 tar zxf atk-1.32.0.tar.gz
if not exist gdk-pixbuf-2.24.0 tar zxf gdk-pixbuf-2.24.0.tar.gz
if not exist glib-2.28.0 tar zxf glib-2.28.0.tar.gz
if not exist "gtk+-2.24.0" if not exist gtk-2.24.0 tar zxf "gtk+-2.24.0.tar.gz"
if not exist pango-1.28.3 tar zxf pango-1.28.3.tar.gz
if exist "gtk+-2.24.0" ren "gtk+-2.24.0" gtk-2.24.0
goto final
:git
if exist atk (cd atk & call git pull & cd ..) else (call git clone git://git.gnome.org/atk atk)
if exist gdk-pixbuf (cd gdk-pixbuf & call git pull & cd ..) else (call git clone git://git.gnome.org/gdk-pixbuf gdk-pixbuf)
if exist glib (cd glib & call git pull & cd ..) else (call git clone git://git.gnome.org/glib glib)
if exist gtk (cd gtk & call git pull & cd ..) else (call git clone "git://git.gnome.org/gtk+" gtk)
if exist pango (cd pango & call git pull & cd ..) else (call git clone git://git.gnome.org/pango pango)
:final
